Package: org.gradle.api.artifacts

## [Java] Interface ComponentModuleMetadataDetails

- org.gradle.api.artifacts.ComponentModuleMetadataDetails

- All Superinterfaces:
    ComponentModuleMetadata

  Contains and allows configuring component module metadata information. For information and examples please see ComponentModuleMetadataHandler

  Since:
    2.2

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `replacedBy(Object moduleNotation)` Configures a replacement module for this module.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface ComponentModuleMetadata` | `getId, getReplacedBy`

- - ### Method Detail

    - #### public void replacedBy(Object moduleNotation)

      Configures a replacement module for this module. A real world example: 'com.google.collections:google-collections' is replaced by 'com.google.guava:guava'. Subsequent invocations of this method replace the previous 'replacedBy' value. For information and examples please see ComponentMetadataHandler.

      Parameters:
        `moduleNotation` - a String like 'com.google.guava:guava', an instance of ModuleVersionIdentifier, null is not permitted